Summary:	Field3D - open source library for storing voxel data
Summary(pl.UTF-8):	Field3D - mająca otwarte źródła biblioteka do przechowywania danych vokseli
Name:		Field3D
Version:	1.3.2
Release:	13
License:	BSD
Group:		Libraries
#Source0Download: https://sites.google.com/site/field3d/downloads
Source0:	http://github.com/imageworks/Field3D/tarball/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	98f225658977f339a734debe426694b9
Patch0:		%{name}-link.patch
URL:		http://opensource.imageworks.com/?p=field3d
BuildRequires:	cmake >= 2.8
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	doxygen
BuildRequires:	hdf5-devel >= 1.8
BuildRequires:	ilmbase-devel >= 1.0.1
BuildRequires:	libstdc++-devel
Requires:	hdf5 >= 1.8
Requires:	ilmbase >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Field3D is an open source library for storing voxel data. It provides
C++ classes that handle in-memory storage and a file format based on
HDF5 that allows the C++ objects to be written to and read from disk.

%description -l pl.UTF-8
Field3D to mająca otwarte źródła biblioteka do przechowywania danych
vokseli. Udostępnia klasy C++ obsługujące przechowywanie ich w pamięci
oraz format plików oparty na HDF5 pozwalający na zapis i odczyt
obiektów C++ z dysku.

%package devel
Summary:	Header files for Field3D library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Field3D
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.34.0
Requires:	hdf5-devel >= 1.8
Requires:	ilmbase-devel >= 1.0.1
Requires:	libstdc++-devel

%description devel
Header files for Field3D library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Field3D.

%package apidocs
Summary:	Field3D API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Field3D
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for Field3D library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Field3D.

%prep
%setup -q -n imageworks-Field3D-94d1bf3
%patch0 -p1

%build
# main build system is scons, but there is cmake alternative, which is slightly more usable in rpm building
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/f3dinfo
%attr(755,root,root) %{_libdir}/libField3D.so.1.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libField3D.so
%{_includedir}/Field3D

%files apidocs
%defattr(644,root,root,755)
%doc docs/html/*.{css,html,js,png}
%changelog
* Tue Jul 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Field3D.git;a=log;h=master

* Tue Jul 14 2015 Jan Rękorajski <baggins@pld-linux.org> cb11a55
- release 13 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 459637c
- boost rebuild
- release 12 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> 7b8e829
- noarch apidocs

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 2815f33
- rebuild with boost 1.57.0
- release 10 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 7952724
- rebuild with hdf5 1.8.14
- release 9 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 8f33503
- rebuild with boost 1.56.0
- release 8 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> d8f2944
- release 7 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 312b39e
- - rebuild with boost 1.55.0
- release 6 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> a8f32fc
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> b5538b2
- release 4 (by relup.sh)

* Tue Apr 02 2013 Jan Rękorajski <baggins@pld-linux.org> 592036c
- release 3 (by relup.sh)

* Tue Apr 02 2013 Jan Rękorajski <baggins@pld-linux.org> b15d177
- no hash in url

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bd97689
- release 2 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> ce27584
- Release 1

* Wed Jul 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 08b1113
- package actual library; .so symlink moved to -devel

* Wed Jul 11 2012 Jakub Bogusz <qboosh@pld-linux.org> ef4efe2
- added link patch

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> d671650
- Removed not needed patch

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 44459f6
- install patch no longer needed

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 4bdb810
- updated to 1.3.2

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 87b1aa7
- release 2

